import { nothing } from '../../../external/lit/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
export declare class UmbPreviewCultureElement extends UmbLitElement {
    #private;
    private _popoverElement?;
    private _culture?;
    private _cultures;
    private _popoverOpen;
    constructor();
    connectedCallback(): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbPreviewCultureElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-preview-culture': UmbPreviewCultureElement;
    }
}
